Bug 211736 - Suppress license agreement in PM on licenses which was already approved
Suppress license agreement in PM on licenses which was already approved
Status: VERIFIED FIXED
Product: platform
Classification: Unclassified
Component: Plugin Manager
7.2
All All
: P3 with 1 vote (vote)
: 7.2
Assigned To: Jiri Rechtacek
au-issues
: API, API_REVIEW_FAST
Depends on: 212218 219264
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-25 19:45 UTC by Jiri Rechtacek
Modified: 2012-10-01 12:51 UTC (History)
2 users (show)

See Also:
Issue Type: TASK
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jiri Rechtacek 2012-04-25 19:45:53 UTC
Suppress license agreement on licenses which was already approved while IDE installation
Hint: each license has a hash code which is stable as long as the license is unmodified. AU can store all approved hash codes and suppress license agreement for all stored licenses
Comment 1 Selpi 2012-04-26 17:43:20 UTC
Product Version: NetBeans IDE Dev (Build 201204260400)

asks to confirm LA at every start.
Comment 2 stefan79 2012-04-27 06:46:07 UTC
Also reproduceable at Win7x64 with 1.7u3x64.
Comment 3 Jiri Rechtacek 2012-04-27 07:00:55 UTC
(In reply to comment #1)
> Product Version: NetBeans IDE Dev (Build 201204260400)
> 
> asks to confirm LA at every start.
It's issue 211785.
Comment 4 mrpc 2012-04-27 15:34:29 UTC
Happens to me too on Mac OS x lion
Product Version: NetBeans IDE Dev (Build 201204260400)
Java: 1.6.0_31; Java HotSpot(TM) 64-Bit Server VM 20.6-b01-415
System: Mac OS X version 10.7.3 running on x86_64; MacGreek; el_GR (nb)
Comment 5 mrpc 2012-04-27 15:36:51 UTC
(In reply to comment #4)
> Happens to me too on Mac OS x lion
> Product Version: NetBeans IDE Dev (Build 201204260400)
> Java: 1.6.0_31; Java HotSpot(TM) 64-Bit Server VM 20.6-b01-415
> System: Mac OS X version 10.7.3 running on x86_64; MacGreek; el_GR (nb)

Or actually my case must be bug 211785, so sorry confusion
Comment 6 Jiri Rechtacek 2012-05-04 09:56:43 UTC
core-main/rev/ca046c018f70 on autoupdate_211777 branch
Comment 7 Quality Engineering 2012-05-17 15:41:19 UTC
Integrated into 'main-golden', will be available in build *201205170950* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/670f32fc4427
User: Jiri Rechtacek <jrechtacek@netbeans.org>
Log: #211736: added new method getLicenseId() in UpdateElement
Comment 8 Tomas Danek 2012-06-20 11:00:24 UTC
verified in Product Version: NetBeans IDE Dev (Build 201206200001)
Java: 1.7.0_04; Java HotSpot(TM) 64-Bit Server VM 23.0-b21
System: Mac OS X version 10.7.4 running on x86_64; US-ASCII; en_US (nb)
User directory: /Users/tomas/Library/Application Support/NetBeans/dev
Cache directory: /Users/tomas/Library/Caches/NetBeans/dev


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo